Package: org.grails.spring.beans

## [Java] Class ClassLoaderAwareBeanPostProcessor

- org.grails.spring.beans.ClassLoaderAwareBeanPostProcessor

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ClassLoaderAwareBeanPostProcessor (java.lang.ClassLoader classLoader)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.lang.Object` | `postProcessBeforeInitialization(java.lang.Object bean, java.lang.String beanName)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BeanPostProcessorAdapter` | `postProcessAfterInitialization, postProcessBeforeInitialization`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public ClassLoaderAwareBeanPostProcessor(java.lang.ClassLoader classLoader)

  - ### Method Detail

    - #### @java.lang.Override public java.lang.Object postProcessBeforeInitialization(java.lang.Object bean, java.lang.String beanName)